### Method

# Ggit Config add_file

#### Declaration [src]

    void
    ggit_config_add_file (
      GgitConfig* config,
      GFile* file,
      GgitConfigLevel level,
      gboolean force,
      GError** error
    )

#### Description [src]

Add an on-disk config file instance to an existing config

The on-disk file pointed at by `file` will be opened and parsed; it’s expected to be a native Git config file following the default Git config syntax (see man git-config).

Further queries on this config object will access each of the config file instances in order (instances with a higher priority level will be accessed first).

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`level`

  Type: `GgitConfigLevel`

  A `GgitConfigLevel`.

`force`

  Type: `gboolean`

  If a config file already exists for the given priority level, replace it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.